<?php 

namespace Tygh\Addons\ReportsExtends\Documents\Reports;

use Tygh\Template\IContext;

class Context implements IContext
{
    protected $lang_code;

    protected $reports;

    protected $product;

    protected $area;

    public function __construct(array $reports, $lang_code, $area = AREA)
    {
        if (!empty($reports['table']) && isset($reports['company_id'])) {
            foreach ($reports['reports'] as &$report) {
                $report['company_id'] = $reports['company_id'];
            }

            unset($table);
        }
        $this->reports = $reports;
        $this->lang_code = $lang_code;
        $this->area = $area;
    }

    public function getReportsExtendsData()
    {
        return $this->reports;
    }

    public function getLangCode()
    {
        return $this->lang_code;
    }

    /**
     * @inheritDoc
     */
    public function getArea()
    {
        return $this->area;
    }

    public function getProducts()
    {
        return $this->products;
    }
}