<?php

namespace Tygh\Addons\ReportsExtends\Documents\Reports\Variables;

use Tygh\Template\Document\Variables\GenericVariable;
use Tygh\Template\IActiveVariable;
use Tygh\Template\IVariable;
use Tygh\Template\Snippet\Table\ItemContext;
use Tygh\Tools\Formatter;
use Tygh\Addons\ReportsExtends\Documents\Reports\Context;

class ReportsVariable extends GenericVariable implements IVariable, IActiveVariable
{
    public $report;

    public $report_data;

    public $condition;

    public $report_id;

    public $elements;

    public $interval;

    public $company_id;

    public $time_from;

    public $time_to;

    public $order_ids;

    public $payments;

    public $statuses;

    /** @var ItemContext */
    protected $context;

    public function __construct(Context $context, $config, Formatter $formatter)
    {
        $reports = $context->getReportsExtendsData();

        $this->context = $context;
        $this->report = $reports['report'];
        $this->report_data = $reports['report_data'];
        $this->condition = $reports['condition'];
        $this->report_id = $reports['report_id'];
        $this->elements = $reports['elements'];
        $this->interval = $reports['interval'];
        $this->company_id = $reports['company_id'];
        $this->time_from = $reports['time_from'];
        $this->time_to = $reports['time_to'];
        $this->order_ids = $reports['order_ids'];
        $this->payments = $reports['payments'];
        $this->statuses = $reports['statuses'];

        $config['reports'] = $reports;

        parent::__construct($context, $config);
    }

//    protected static function getReasons($lang_code)
//    {
//        if (!isset(self::$reasons[$lang_code])) {
//            self::$reasons[$lang_code] = fn_update_sales_report(REPORT_DATA_REASON, $lang_code);
//        }
//
//        return self::$reasons[$lang_code];
//    }
//
//    public function getReasonText()
//    {
//        $reasons = self::getReasons($this->context->getLangCode());
//
//        return isset($reasons[$this->reason]) ? $reasons[$this->reason]['property'] : '';
//    }

    public static function attributes()
    {
        return array(
            'report',
            'report_data',
            'condition',
            'report_id',
            'elements',
            'interval',
            'company_id',
            'time_from',
            'time_to',
            'order_ids',
            'payments',
            'statuses'
        );
    }
}